# Desc: Checks that a valid tar archive exists, creates one otherwise
-
+#===BEGIN Declare local script functions===
yell() { echo "$0: $*" >&2; } #o Yell, Die, Try Three-Fingered Claw technique
die() { yell "$*"; exit 111; } #o Ref/Attrib: https://stackoverflow.com/a/25515370
try() { "$@" || die "cannot $*"; } #o
-
-#===BEGIN Declare local script functions===
checkMakeTar() {
# Desc: Checks that a valid tar archive exists, creates one otherwise
# Usage: checkMakeTar [ path ]
- # Version: 1.0.0
+ # Version: 1.0.1
# Input: arg1: path of tar archive
# Output: exit code 0 : tar readable
# exit code 1 : tar missing; created
ls -l "$myFile";
fi
#====END sample code====
+
+# Author: Steven Baltakatei Sandoval
+# License: GPLv3+